// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.ValaBinding {
    
    
    public partial class GeneralOptionsPanel {
        
        private Gtk.Table table1;
        
        private Gtk.Label label1;
        
        private Gtk.ComboBox valaCombo;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.ValaBinding.GeneralOptionsPanel
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.ValaBinding.GeneralOptionsPanel";
            // Container child MonoDevelop.ValaBinding.GeneralOptionsPanel.Gtk.Container+ContainerChild
            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(3)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(6));
            this.table1.ColumnSpacing = ((uint)(6));
            // Container child table1.Gtk.Table+TableChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.Xpad = 10;
            this.label1.Xalign = 0F;
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Default Vala Compiler:");
            this.table1.Add(this.label1);
            Gtk.Table.TableChild w1 = ((Gtk.Table.TableChild)(this.table1[this.label1]));
            w1.XOptions = ((Gtk.AttachOptions)(4));
            w1.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.valaCombo = Gtk.ComboBox.NewText();
            Gtk.Tooltips w2 = new Gtk.Tooltips();
            w2.SetTip(this.valaCombo, "Default compiler to use for new C projects.", "Default compiler to use for new C projects.");
            this.valaCombo.Name = "valaCombo";
            this.table1.Add(this.valaCombo);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table1[this.valaCombo]));
            w3.LeftAttach = ((uint)(1));
            w3.RightAttach = ((uint)(2));
            w3.XOptions = ((Gtk.AttachOptions)(4));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            this.Add(this.table1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.valaCombo.Changed += new System.EventHandler(this.OnValaComboChanged);
        }
    }
}
